Skip to content

Find conversation by ID ​

Conversations

By default returns a visible conversation. To fetch a trashed conversation a valid moderatorId value is required.

GET
/conversations/{id}

Parameters​

Path Parameters

id*

ID of the conversation to interact with

Type
string
Required

Query Parameters

moderatorId

ID of the moderator fetching the conversation

Type
string
resolveEmbeds

When set to true, resolves oembed URLs in the content and replaces them with embed HTML

Type
boolean
Default
false

Responses​

Successful response

application/json
JSON
{
  
"result": {
  
  
"id": "string",
  
  
"publicId": "string",
  
  
"title": "string",
  
  
"content": "string",
  
  
"author": {
  
  
  
"id": "7",
  
  
  
"username": "john-doe",
  
  
  
"customTitle": "awesome_user",
  
  
  
"signature": "awesome_user",
  
  
  
"avatar": "http://example.com/avatar123.jpg",
  
  
  
"reputation": {
  
  
  
  
"rank": "senior_replier",
  
  
  
  
"rankIcon": "http://example.com/rank-icon.jpg",
  
  
  
  
"rankIconThumbnail": "http://example.com/rank-icon-thumbnail.jpg",
  
  
  
  
"likesReceived": 0,
  
  
  
  
"repliesMade": 0
  
  
  
}
  
  
},
  
  
"categoryId": "string",
  
  
"startedAt": "string",
  
  
"lastActivityAt": "string",
  
  
"replyCount": 0,
  
  
"spamReplyCount": 0,
  
  
"pendingReplyCount": 0,
  
  
"totalReplyCount": 0,
  
  
"trashedReplyCount": 0,
  
  
"inclusiveReplyCount": 0,
  
  
"inclusiveVisibleReplyCount": 0,
  
  
"tags": [
  
  
  
"string"
  
  
],
  
  
"moderatorTags": [
  
  
  
"string"
  
  
],
  
  
"likedBy": [
  
  
  
"string"
  
  
],
  
  
"sticky": true,
  
  
"closed": true,
  
  
"trashed": true,
  
  
"spam": true,
  
  
"reported": true,
  
  
"reportedContent": [
  
  
  
{
  
  
  
  
"id": "string",
  
  
  
  
"reason": "string",
  
  
  
  
"reportedAt": "string",
  
  
  
  
"reportedBy": {
  
  
  
  
  
"id": "7",
  
  
  
  
  
"username": "john-doe",
  
  
  
  
  
"customTitle": "awesome_user",
  
  
  
  
  
"signature": "awesome_user",
  
  
  
  
  
"avatar": "http://example.com/avatar123.jpg",
  
  
  
  
  
"reputation": {
  
  
  
  
  
  
"rank": "senior_replier",
  
  
  
  
  
  
"rankIcon": "http://example.com/rank-icon.jpg",
  
  
  
  
  
  
"rankIconThumbnail": "http://example.com/rank-icon-thumbnail.jpg",
  
  
  
  
  
  
"likesReceived": 0,
  
  
  
  
  
  
"repliesMade": 0
  
  
  
  
  
}
  
  
  
  
}
  
  
  
}
  
  
],
  
  
"containsPoll": true,
  
  
"pinnedReplyId": "string",
  
  
"seoCommunityUrl": "string"
  
}
}

Samples​

Gainsight CC Developer Portal